Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class Trait.Background

    java.lang.Object
      org.apache.fop.area.Trait.Background

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Trait

    public static class Trait.Background

extends java.lang.Object
implements java.io.Serializable

Background trait structure. Used for storing back trait information which are related.

See Also:
  Serialized Form

Constructor Summary
`Trait.Background()`

Method Summary
`java.awt.Color` | `getColor()` Returns the background color.
`int` | `getHoriz()` Returns the horizontal offset for images.
`org.apache.xmlgraphics.image.loader.ImageInfo` | `getImageInfo()` Returns the ImageInfo object representing the background image
`int` | `getImageTargetHeight()`
`int` | `getImageTargetWidth()`
`int` | `getRepeat()` Returns the image repetition behaviour for images.
`java.lang.String` | `getURL()` Returns the URL to the background image
`int` | `getVertical()` Returns the vertical offset for images.
`void` | `setColor(java.awt.Color color)` Sets the color.
`void` | `setHoriz(int horiz)` Sets the horizontal offset.
`void` | `setImageInfo(org.apache.xmlgraphics.image.loader.ImageInfo info)` Sets the ImageInfo of the image to use as the background image.
`void` | `setImageTargetHeight(int value)`
`void` | `setImageTargetWidth(int value)`
`void` | `setRepeat(int repeat)` Sets the image repetition behaviour for images.
`void` | `setRepeat(java.lang.String repeat)` Sets the image repetition behaviour for images.
`void` | `setURL(java.lang.String url)` Sets the URL to the background image.
`void` | `setVertical(int vertical)` Sets the vertical offset for images.
`java.lang.String` | `toString()` Return the string for debugging.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Trait.Background

    public Trait.Background()

Method Detail

### getColor

    public java.awt.Color getColor()

  Returns the background color.

  Returns:
    background color, null if n/a

### getHoriz

    public int getHoriz()

  Returns the horizontal offset for images.

  Returns:
    the horizontal offset

### getRepeat

    public int getRepeat()

  Returns the image repetition behaviour for images.

  Returns:
    the image repetition behaviour

### getURL

    public java.lang.String getURL()

  Returns the URL to the background image

  Returns:
    URL to the background image, null if n/a

### getImageInfo

    public org.apache.xmlgraphics.image.loader.ImageInfo getImageInfo()

  Returns the ImageInfo object representing the background image

  Returns:
    the background image, null if n/a

### getVertical

    public int getVertical()

  Returns the vertical offset for images.

  Returns:
    the vertical offset

### setColor

    public void setColor(java.awt.Color color)

  Sets the color.

  Parameters:
    `color` - The color to set

### setHoriz

    public void setHoriz(int horiz)

  Sets the horizontal offset.

  Parameters:
    `horiz` - The horizontal offset to set

### setRepeat

    public void setRepeat(int repeat)

  Sets the image repetition behaviour for images.

  Parameters:
    `repeat` - The image repetition behaviour to set

### setRepeat

    public void setRepeat(java.lang.String repeat)

  Sets the image repetition behaviour for images.

  Parameters:
    `repeat` - The image repetition behaviour to set

### setURL

    public void setURL(java.lang.String url)

  Sets the URL to the background image.

  Parameters:
    `url` - The URL to set

### setImageInfo

    public void setImageInfo(org.apache.xmlgraphics.image.loader.ImageInfo info)

  Sets the ImageInfo of the image to use as the background image.

  Parameters:
    `info` - The background image's info object

### setVertical

    public void setVertical(int vertical)

  Sets the vertical offset for images.

  Parameters:
    `vertical` - The vertical offset to set

### toString

    public java.lang.String toString()

  Return the string for debugging.

  Overrides:
    `toString` in class `java.lang.Object`

### setImageTargetWidth

    public void setImageTargetWidth(int value)

### getImageTargetWidth

    public int getImageTargetWidth()

### setImageTargetHeight

    public void setImageTargetHeight(int value)

### getImageTargetHeight

    public int getImageTargetHeight()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.